// DateTimeThread.H - work thread header file for GETTIME.EXE
//
// THIS SOFTWARE IS Copyright 1999 by Bob Frazier and SFT Inc. - All rights reserved
// It has been provided to the public as "copy-left" according to the terms of the
// GNU GENERAL PUBLIC LICENSE at http://www.gnu.org/copyleft/gpl.html
//
// THIS CODE IS PROVIDED 'AS-IS' with NO WARRANTEE WHATSOEVER
// USE IT AT YOUR OWN RISK - Bob Frazier and SFT Inc. CLAIM NO
// RESPONSIBILITY FOR ANY DAMAGES, CONSEQUENTIAL OR OTHERWISE,
// THAT MAY RESULT FROM USE OR ABUSE OF THIS PROGRAM, WHETHER
// IN ITS ORIGINAL OR MODIFIED STATE.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// For a copy of the GNU General Public License, you can visit the
// 'gnu.org' web site at http://www.gnu.org/, or write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//

#if !defined(AFX_DATETIMETHREAD_H__E9DDA65E_C10C_11D2_A41D_004033901FF3__INCLUDED_)
#define AFX_DATETIMETHREAD_H__E9DDA65E_C10C_11D2_A41D_004033901FF3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DateTimeThread.h : header file
//



/////////////////////////////////////////////////////////////////////////////
// CDateTimeThread thread

class CDateTimeThread : public CWinThread
{
	DECLARE_DYNCREATE(CDateTimeThread)
protected:
	CDateTimeThread();           // protected constructor used by dynamic creation

// Attributes
public:

// Operations
public:

  void DoThreadProcess();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDateTimeThread)
	public:
	virtual BOOL InitInstance();
	virtual int ExitInstance();
	//}}AFX_VIRTUAL

  CString m_csAddr, m_csSocks, m_csTZ;
  BOOL m_bDebug;

// Implementation
protected:
	virtual ~CDateTimeThread();

	// Generated message map functions
	//{{AFX_MSG(CDateTimeThread)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DATETIMETHREAD_H__E9DDA65E_C10C_11D2_A41D_004033901FF3__INCLUDED_)
